Index: trunk/SRC/ToBeReviewed/CALCULS/determ2.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/determ2.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/CALCULS/determ2.pro	(revision 493)
@@ -24,5 +24,5 @@
 ;
 ; @returns
-; n elements array, the determinent of each 2*2 arrrays
+; n elements array, the determinent of each 2*2 arrays
 ;
 ; @examples
Index: trunk/SRC/ToBeReviewed/CALCULS/fsfzpt.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/fsfzpt.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/CALCULS/fsfzpt.pro	(revision 493)
@@ -9,5 +9,5 @@
 ;               freezing pt
 ;	reference : unesco tech. papers in the marine science no 28 1978
-;               eigth report jpots
+;               eighth report jpots
 ;               annex 6 freezing point of seawater F.J.Millero pp.29-35
 ;	checkvalue: fsfzpt=-2.588567 deg.c,for s=40.0,p=500 decibars
Index: trunk/SRC/ToBeReviewed/CALCULS/grossemoyenne.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/grossemoyenne.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/CALCULS/grossemoyenne.pro	(revision 493)
@@ -66,5 +66,5 @@
 ;
 ; @keyword SSH
-; array giving the sea level elenation (in meter) that must be added
+; array giving the sea level elevation (in meter) that must be added
 ; to the thickness of the first level when computing vertical mean
 ;
@@ -84,5 +84,5 @@
 ;
 ; @history
-; Jerome Vialard (jv\@lodyc.jussieu.fr)
+; JÃ©rÃŽme Vialard (jv\@lodyc.jussieu.fr)
 ;			2/7/98
 ;                       Sebastien Masson (smasson\@lodyc.jussieu.fr)
@@ -148,6 +148,7 @@
   endcase
 ;------------------------------------------------------------
-;   I.3) Obtainment of scale's factors and of the mask on the subdomain concernedby the average.
-; Redefinition of the domain ajusted at boxzoom (at 6 elements)
+;   I.3) Obtainment of scale's factors and of the mask on the subdomain 
+;        concerned by the average.
+; Redefinition of the domain adjusted at boxzoom (at 6 elements)
 ; This will allowed us to calculate only in the domain concerned by the average.
 ; Domdef, followed by grid give us all arrays of the grid on the subdomain
@@ -272,5 +273,5 @@
         if keyword_set(savedbox) THEN restoreboxparam, 'boxparam4grmoyenne.dat'
         return, report('Probleme d''adequation entre les tailles du domaine nx*ny*jpt '+strtrim(nx, 1)+'*'+strtrim(ny, 1)+'*'+strtrim(jpt, 1)+' et du tableau '+strtrim(taille[1], 1)+'*'+strtrim(taille[2], 1)+'*'+strtrim(taille[3], 1))
-      enD
+      END
     endcase
     if keyword_set(nan) NE 0 then BEGIN
@@ -612,5 +613,5 @@
   ENDIF
 ;------------------------------------------------------------
-; IV.3) We replace in the domain whch was defined at the entry of average
+; IV.3) We replace in the domain which was defined at the entry of average
 ;------------------------------------------------------------
   if keyword_set(savedbox) THEN restoreboxparam, 'boxparam4grmoyenne.dat'
Index: trunk/SRC/ToBeReviewed/GRILLE/changegrid.pro
===================================================================
--- trunk/SRC/ToBeReviewed/GRILLE/changegrid.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/GRILLE/changegrid.pro	(revision 493)
@@ -33,5 +33,5 @@
    if cmpgrid(newgrid) EQ 0 then return, 0
 ;
-; update the common paramaters
+; update the common parameters
 ;
    ccmeshparameters = newgrid
Index: trunk/SRC/ToBeReviewed/GRILLE/domdef.pro
===================================================================
--- trunk/SRC/ToBeReviewed/GRILLE/domdef.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/GRILLE/domdef.pro	(revision 493)
@@ -286,5 +286,5 @@
         IF (dom[0] EQ -1) THEN BEGIN
           IF keyword_set(findalways) THEN BEGIN
-; if t grid parameters alreday defined, we use them...
+; if t grid parameters already defined, we use them...
             CASE 1 OF
               (where(gdtype eq 'T'))[0] NE -1 OR (where(gdtype EQ 'W'))[0] NE -1:BEGIN
Index: trunk/SRC/ToBeReviewed/GRILLE/fmask.pro
===================================================================
--- trunk/SRC/ToBeReviewed/GRILLE/fmask.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/GRILLE/fmask.pro	(revision 493)
@@ -11,5 +11,5 @@
 ;
 ; @examples
-; Used like if fmask was a known array by substituing fmask by (fmask())
+; Used like if fmask was a known array by substituting fmask by (fmask())
 ; For example: Instead of write fmask[domainef] we have to write (fmask())[domainef]
 ;
Index: trunk/SRC/ToBeReviewed/GRILLE/grille.pro
===================================================================
--- trunk/SRC/ToBeReviewed/GRILLE/grille.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/GRILLE/grille.pro	(revision 493)
@@ -345,5 +345,5 @@
 ;------------------------------------------------------------
 ;------------------------------------------------------------
-; Variables refering to the vertical dimension
+; Variables referring to the vertical dimension
 ;------------------------------------------------------------
 ;------------------------------------------------------------
Index: trunk/SRC/ToBeReviewed/GRILLE/umask.pro
===================================================================
--- trunk/SRC/ToBeReviewed/GRILLE/umask.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/GRILLE/umask.pro	(revision 493)
@@ -14,5 +14,5 @@
 ;
 ; @examples
-; Used like if umask was a known array by substituing umask by (umask())
+; Used like if umask was a known array by substituting umask by (umask())
 ; For example: Instead of write umask[domainef] we have to write (umask())[domainef]
 ;
Index: trunk/SRC/ToBeReviewed/GRILLE/vmask.pro
===================================================================
--- trunk/SRC/ToBeReviewed/GRILLE/vmask.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/GRILLE/vmask.pro	(revision 493)
@@ -11,5 +11,5 @@
 ;
 ; @examples
-; Used like if vmask was a known array by substituing vmask by (vmask())
+; Used like if vmask was a known array by substituting vmask by (vmask())
 ; For example: Instead of write vmask[domainef] we have to write (vmask())[domainef]
 ;
Index: trunk/SRC/ToBeReviewed/HOPE/read_hope.pro
===================================================================
--- trunk/SRC/ToBeReviewed/HOPE/read_hope.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/HOPE/read_hope.pro	(revision 493)
@@ -203,5 +203,5 @@
 ;
 ; @file_comments
-; Read the Hope grid file converted in NetCdf by xconv
+; Read the Hope grid file converted in netCDF by xconv
 ;
 ; @categories
@@ -323,5 +323,5 @@
   compile_opt idl2, strictarrsubs
 ;
-@common                         ; usefull only for the definition of iodir
+@common                         ; useful only for the definition of iodir
   if n_elements(filename) EQ 0 then filename = isafile(iodirectory = iodir, _extra = ex)
   IF size(filename, /type) NE 7 THEN return, -1
@@ -377,5 +377,5 @@
     dimvar[0:res.ndims-1, varid] = res.dim
   ENDFOR
-; we cut dimvar to select only the interessant part
+; we cut dimvar to select only the interesting part
   dimvar = dimvar[0:max(ndimsvar)-1, *]
 ; selection of the data variables which are different from the
@@ -453,5 +453,5 @@
   base5 = widget_base(base, /row, uname = 'baset', /frame)
   timename = strlowcase((tag_names(dimlist))[wathinside.recdim])
-; read the time axis in julina days
+; read the time axis in Julian days
   time = ncdf_gettime(filename, cdfid)
 ; update the dimlist structure
Index: trunk/SRC/ToBeReviewed/IMAGE/animgif.pro
===================================================================
--- trunk/SRC/ToBeReviewed/IMAGE/animgif.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/IMAGE/animgif.pro	(revision 493)
@@ -68,5 +68,5 @@
 ;
 ;----------------------------------------------------------------
-; Beggining of the part we want to change.
+; Beginning of the part we want to change.
 ;----------------------------------------------------------------
 ;
Index: trunk/SRC/ToBeReviewed/LECTURE/changeread.pro
===================================================================
--- trunk/SRC/ToBeReviewed/LECTURE/changeread.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/LECTURE/changeread.pro	(revision 493)
@@ -49,5 +49,5 @@
    endcase
 ;
-; update the common paramaters
+; update the common parameters
 ;
    ccreadparameters = newread
Index: trunk/SRC/ToBeReviewed/LECTURE/litchamp.pro
===================================================================
--- trunk/SRC/ToBeReviewed/LECTURE/litchamp.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/LECTURE/litchamp.pro	(revision 493)
@@ -19,5 +19,5 @@
 ;        -other elements are strings containing informations on the field except
 ;        for the one about the date. This one can be either a string to designate
-;        a particular date (ex: 'August 1999') or a vector of julian days (of IDL)
+;        a particular date (ex: 'August 1999') or a vector of Julian days (of IDL)
 ;        corresponding  to the calendar to be associated with the field if it is a
 ;        temporal series.
@@ -171,5 +171,5 @@
          END
          ELSE:BEGIN
-            ras = report('Le nom '+nomelements[i]+' ne correspont a aucun element reconnu de la structure. cf. IDL> xhelp, ''litchamp''')
+            ras = report('Le nom '+nomelements[i]+' ne correspond a aucun element reconnu de la structure. cf. IDL> xhelp, ''litchamp''')
          end
       endcase
Index: trunk/SRC/ToBeReviewed/LECTURE/read_ncdf.pro
===================================================================
--- trunk/SRC/ToBeReviewed/LECTURE/read_ncdf.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/LECTURE/read_ncdf.pro	(revision 493)
@@ -46,5 +46,5 @@
 ;
 ; @keyword CALLITSELF {default=0}{type=scalar: 0 or 1}
-; For ROMS outputs. Use by read_ncdf itself to access auxilliary data 
+; For ROMS outputs. Use by read_ncdf itself to access auxiliary data 
 ; (h and zeta).
 ;
@@ -403,5 +403,5 @@
   ENDIF
 ;---------------------------------------------------------------------
-; if it is roms outputs, we need to get additionals infos...
+; if it is roms outputs, we need to get additional infos...
   IF NOT keyword_set(callitself) THEN BEGIN
     IF strmid(dimnames[0], 0, 3) EQ 'xi_' AND strmid(dimnames[1], 0, 4) EQ 'eta_' THEN BEGIN
Index: trunk/SRC/ToBeReviewed/LECTURE/read_ncdf_varget.pro
===================================================================
--- trunk/SRC/ToBeReviewed/LECTURE/read_ncdf_varget.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/LECTURE/read_ncdf_varget.pro	(revision 493)
@@ -10,5 +10,5 @@
 ;  l''on fait et en particulier arriver a positionner la boite
 ;  specifiee par firstx:lastx par rapport au tableau contenu dans
-;  le fichier NetCdf.
+;  le fichier netCDF.
 ;  pour s''y reperer voici un petit dessin
 ;
@@ -29,5 +29,5 @@
 ;   |,,,,|--------|--------------|      |........|..........|,,,,,,,,,,,|
 ;
-;  apres il suffit de remplacer i et j par firstx ou lastx qd on
+;  aprÃšs il suffit de remplacer i et j par firstx ou lastx qd on
 ;  ne fait pas de stride.
 ;
@@ -54,5 +54,5 @@
 ;  we must read 4 points instead of 3...:  +--+--+--+--
 ;  This problem as an easy solution by using the keyword count with
-;  the appropiate value!
+;  the appropriate value!
 ;
   key_shift = long(testvar(var = key_shift))
Index: trunk/SRC/ToBeReviewed/LECTURE/xncdf_lec.pro
===================================================================
--- trunk/SRC/ToBeReviewed/LECTURE/xncdf_lec.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/LECTURE/xncdf_lec.pro	(revision 493)
@@ -2,5 +2,5 @@
 ;
 ; @file_comments
-; Reading of a NetCdf file with widgets
+; Reading of a netCDF file with widgets
 ;
 ; @categories
@@ -140,5 +140,5 @@
 ;------------------------------------------------------------
    base1 = widget_base(base, /column, /align_center)
-   rien = widget_label(base1, value = 'NetCdf filename', /align_center)
+   rien = widget_label(base1, value = 'netCDF filename', /align_center)
    rien = widget_text(base1, value = name, /align_center, uvalue=1, /editable) ;File's name we can change
    rien = widget_label(base1, value = ' ') ; We jump a line
@@ -402,5 +402,5 @@
 ;
 ; @uses
-; resultat,infovariable,indicewid_var,motcle
+; resultat, infovariable, indicewid_var, motcle
 ;
 ; @version
@@ -434,5 +434,5 @@
    if keyword_set(mcoffset) AND n_elements(mcoffset) EQ varcontient.ndims THEN $
     valinit[0,*]=mcoffset ELSE valinit[0, *] = 0
-; colomn 1 : counts
+; column 1 : counts
    if keyword_set(mccount) AND n_elements(mccount) EQ varcontient.ndims THEN  $
     valinit[1,*]=mccount ELSE valinit[1, *] = tailledim[varcontient.dim]
@@ -534,5 +534,5 @@
       END
       2:BEGIN                   ; A variable is selected.
-         varid = event.index    ; We recuperat its number in the file Netcdf
+         varid = event.index    ; We recuperate its number in the file netCDF
          varcontient = ncdf_varinq(cdfid,varid)
          wid_var, event.top     ; We call the program which launch the second widget. See sooner.
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt.pro	(revision 493)
@@ -434,5 +434,5 @@
     endif
   ENDIF ELSE BEGIN
-;To axes of coordinates be considerated.
+;To axes of coordinates be considerate.
     if !x.type EQ 0 AND n_elements(contour) LE 4 then $
       plot, [0], [0], /nodata, xstyle = 5, ystyle = 5, title = '', subtitle = '', /noerase
@@ -526,5 +526,5 @@
   if keyword_set(overplot) then GOTO, fini
 ;------------------------------------------------------------
-; V2) Trace the line of change of date, the equator and the greenwich meridian, ...
+; V2) Trace the line of change of date, the equator and the Greenwich meridian, ...
 ;------------------------------------------------------------
   if NOT keyword_set(map) AND key_onearth then meridienparallele, 'xy'
@@ -533,5 +533,5 @@
 ;------------------------------------------------------------
   if keyword_set(realcont) then BEGIN
-; si noease est passe de _extra, on s''assure qu''il est a 1
+; si noerase est passe de _extra, on s''assure qu''il est a 1
     if chkstru(ex, 'NOERASE') then begin
       oldnoerase = ex.noerase
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltbase.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltbase.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltbase.pro	(revision 493)
@@ -110,5 +110,5 @@
 ; $Id$
 ;
-; @todo seb L.172 à 173
+; @todo seb L.172 Ã  173
 ;
 ;-
@@ -162,5 +162,5 @@
     label, 0, min(z2d*mask), max(z2d*mask), ncontour, levels, colors
 ; attention bidouille inexplicable pour que tout se passe bien avec les
-; postcript ds pltz!!!
+; postscript ds pltz!!!
   if n_elements(contour) LE 4 AND !x.type EQ 0 THEN $
     plot, [0], [0], xstyle = 5, ystyle = 5, /nodata, /noerase, title = '', subtitle = ''
@@ -212,5 +212,5 @@
     ENDIF
 ;
-; We do not pass if we have to make differents contours...
+; We do not pass if we have to make different contours...
 ; In the case of unsur2 is activated, we reduce levels
     if NOT keyword_set(nocontour) then begin
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltt.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltt.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltt.pro	(revision 493)
@@ -183,5 +183,5 @@
 ; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;			27/5/98
-;                       Jerome Vialard (adapting plt to hovmoeller drawing)
+;                       JÃ©rÃŽme Vialard (adapting plt to hovmoeller drawing)
 ;                       2/7/98
 ;                       Sebastien Masson 14/8/98 (continents,barres)
@@ -199,5 +199,5 @@
 ;
 ; @todo 
-; seb: definition of parameters, L.426 à 427, L. 492 à 493
+; seb: definition of parameters, L.426 Ã  427, L. 492 Ã  493
 ;
 ;-
@@ -331,5 +331,5 @@
             ELSE tempsmin = temps[0]
 ; on shift l''axe du temps pour des questions de precision sur les
-; dates du calendier julien en long qui sont passes en float ds les axes
+; dates du calendrier julien en long qui sont passes en float ds les axes
             xx = temps-tempsmin
             !x.range=!x.range-tempsmin
@@ -397,5 +397,5 @@
 ;-----------------------------------------------------------------------------
 ; on shift l''axe du temps pour des questions de precision sur les
-; dates du calendier julien en long qui sont passes en float ds les axes
+; dates du calendrier julien en long qui sont passes en float ds les axes
    case typdes of
       '1d' : begin
@@ -644,5 +644,5 @@
 fini:
 ;------------------------------------------------------------
-; we reput time axis in IDL julian days and not in julian days count from tempsmin
+; we reput time axis in IDL Julian days and not in Julian days count from tempsmin
 ;------------------------------------------------------------
    if type EQ 'xt' then BEGIN
@@ -653,5 +653,5 @@
       !x.tickv=!x.tickv+tempsmin
    ENDELSE
-; We do a false plot to these values are considerated
+; We do a false plot to these values are considerate
    plot, [0], [0], /nodata, /noerase, xstyle = 5, ystyle = 5 $
      , title = '', subtitle = '', ytitle = '', xtitle = ''
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltz.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltz.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltz.pro	(revision 493)
@@ -114,8 +114,8 @@
 ;
 ; @keyword NOMASK
-; activate to supress the use of the land-sea mask when plotting the field
+; activate to suppress the use of the land-sea mask when plotting the field
 ; 
 ; @keyword NO_PARTIALSTEP
-; activate to supress the use of partial steps (force key_partialstep = 0 within pltz)
+; activate to suppress the use of partial steps (force key_partialstep = 0 within pltz)
 ;
 ; @keyword NOTRI
@@ -175,5 +175,5 @@
 ;
 ; @todo 
-; seb definition of paramaters L.215 à 221
+; seb definition of parameters L.215 Ã  221
 ;
 ;-
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/scontour.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/scontour.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/scontour.pro	(revision 493)
@@ -10,5 +10,5 @@
 ; @keyword NOREINITPLT
 ; We active it if we do not want environment variables !p, !x, !y, !z
-; to be reinitilalized by the procedure <pro>reinitplt</pro>
+; to be reinitialized by the procedure <pro>reinitplt</pro>
 ;
 ; @keyword _EXTRA
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/splot.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/splot.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/splot.pro	(revision 493)
@@ -10,5 +10,5 @@
 ; @keyword NOREINITPLT
 ; We active it if we do not want environment variables !p, !x, !y, !z
-; to be reinitilalized by the procedure <pro>reinitplt</pro>
+; to be reinitialized by the procedure <pro>reinitplt</pro>
 ;
 ; @keyword _EXTRA
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/tvplus.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/tvplus.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/tvplus.pro	(revision 493)
@@ -82,5 +82,5 @@
 ; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                       18/12/98
-; Aug 2005: quick cleaning + english
+; Aug 2005: quick cleaning + English
 ;
 ; @version
Index: trunk/SRC/ToBeReviewed/PLOTS/DIVERS/autoscale.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DIVERS/autoscale.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/PLOTS/DIVERS/autoscale.pro	(revision 493)
@@ -43,5 +43,5 @@
     coef = [2, 2.5, 5, 10]
 ;
-; We test differents CI (contour intervals), i.e. 1, 2, 2.5, 5 and 10
+; We test different CI (contour intervals), i.e. 1, 2, 2.5, 5 and 10
 ; until the number of contour is inferior to 30.
 ;
Index: trunk/SRC/ToBeReviewed/PLOTS/DIVERS/restoreatt.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DIVERS/restoreatt.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/PLOTS/DIVERS/restoreatt.pro	(revision 493)
@@ -49,5 +49,5 @@
          end
          ELSE:BEGIN
-            ras = report('Le nom '+nomelements[i]+' ne correspont a aucun element reconnu de la structure. !C cf. IDL> xhelp, ''litchamp''')
+            ras = report('Le nom '+nomelements[i]+' ne correspond a aucun element reconnu de la structure. !C cf. IDL> xhelp, ''litchamp''')
          end
       endcase
Index: trunk/SRC/ToBeReviewed/PLOTS/LABEL/label_date.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/LABEL/label_date.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/PLOTS/LABEL/label_date.pro	(revision 493)
@@ -111,5 +111,5 @@
 
 x1 = x + offset
-caldat, long(x1), month, day, year, _EXTRA = ex;Get the calendar date from julian
+caldat, long(x1), month, day, year, _EXTRA = ex;Get the calendar date from Julian
 frac = x1 - long(x1)            ;time of day, from 0 to 1.
 
Index: trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/vecteur.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/vecteur.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/vecteur.pro	(revision 493)
@@ -231,5 +231,5 @@
 ; What we do:
 ; In a 3d cartesian reference,
-;       a) We find coordinates of the point T (starting of the arrow) situed
+;       a) We find coordinates of the point T (starting of the arrow) situated
 ;       on the sphere.
 ;       b) To each point T, we determine local directions defined by the grid
@@ -274,5 +274,5 @@
 ; Stage 1, b)
 ;
-; Construction of a vector nu (resp. nv), vectr normed carried by the axis of
+; Construction of a vector nu (resp. nv), vector normed carried by the axis of
 ; points u[i,j] and u[i-1,j] (resp v[i,j] and v[i,j-1]) which define, for each
 ; point on the sphere, local directions associated with u and v. These vectors
@@ -364,5 +364,5 @@
 ; of changing of date... BEWARE, do not cut arrow which goes out of the
 ; window!
-; test: If it goes out of the frame, but, thanks to +/- 360° it come in,
+; test: If it goes out of the frame, but, thanks to +/- 360Â° it come in,
 ; we modify it
 ;
@@ -443,5 +443,5 @@
 ;
 ; We modify the array norme to an element having the value cm be represented
-; by a line of lenght 1 cm on the paper. Norme contains the norm of vectors
+; by a line of length 1 cm on the paper. Norme contains the norm of vectors
 ; we want to draw.
 ;
Index: trunk/SRC/ToBeReviewed/PLOTS/axe.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/axe.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/PLOTS/axe.pro	(revision 493)
@@ -14,9 +14,9 @@
 ; @param TEMPSMIN {in}{required}
 ; In the case where we do cut containing the time dimension, we have
-; to specify the beginning of the time's axis in julian days.
+; to specify the beginning of the time's axis in Julian days.
 ;
 ; @param TEMPSMAX {in}{required}
 ; In the case where we do cut containing the time dimension, we have
-; to specify the end of the time's axis in julian days.
+; to specify the end of the time's axis in Julian days.
 ;
 ; @keyword SIN
Index: trunk/SRC/ToBeReviewed/PLOTS/legende.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/legende.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/PLOTS/legende.pro	(revision 493)
@@ -123,5 +123,5 @@
   endif
 ;------------------------------------------------------------
-; Shapping of subdomain 's dimensions
+; Shaping of subdomain 's dimensions
 ;------------------------------------------------------------
   la1 = strtrim(string(format = fmt_bt, lat1), 2)
Index: trunk/SRC/ToBeReviewed/PLOTS/style.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/style.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/PLOTS/style.pro	(revision 493)
@@ -54,5 +54,5 @@
 ;    value itself, a more general definition can be given with a scalar
 ;    string with the following structure: 'xxNN...NNyy' with  
-;    xx and yy correspondind to one the following choices (with the 
+;    xx and yy corresponding to one the following choices (with the 
 ;    corresponding meaning)
 ;		so -> Solid	
Index: trunk/SRC/ToBeReviewed/PLOTS/symbols.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/symbols.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/PLOTS/symbols.pro	(revision 493)
@@ -5,5 +5,5 @@
 ;
 ; @param NSYM {in}{required} {type=integer}
-; Code of sympbols :
+; Code of symbols :
 ; 1 = open circle
 ; 2 = filled circle
Index: trunk/SRC/ToBeReviewed/STATISTICS/a_timecorrelate.pro
===================================================================
--- trunk/SRC/ToBeReviewed/STATISTICS/a_timecorrelate.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/STATISTICS/a_timecorrelate.pro	(revision 493)
@@ -140,5 +140,5 @@
 
    NAN = ( (WHERE(FINITE(X) EQ 0 ))[0] NE -1 ) ? 1 : 0
-;We can retrieve the matrix of real lenghts of time-series   
+;We can retrieve the matrix of real lengths of time-series   
    nTreal = ( (WHERE(FINITE(X) EQ 0 ))[0] NE -1 ) ?  TOTAL(FINITE(X),  XNDim) : nT 
 
Index: trunk/SRC/ToBeReviewed/STATISTICS/skewness_4d.pro
===================================================================
--- trunk/SRC/ToBeReviewed/STATISTICS/skewness_4d.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/STATISTICS/skewness_4d.pro	(revision 493)
@@ -91,5 +91,5 @@
 
    NAN = ( (WHERE(FINITE(X) EQ 0 ))[0] NE -1 ) ? 1 : 0
-;We can retrieve the matrix of real lenghts of time-series   
+;We can retrieve the matrix of real lengths of time-series   
    nTreal = ( (WHERE(FINITE(X) EQ 0 ))[0] NE -1 ) ?  TOTAL(FINITE(X),  XNDim) : nT 
 
Index: trunk/SRC/ToBeReviewed/STRING/isnumber.pro
===================================================================
--- trunk/SRC/ToBeReviewed/STRING/isnumber.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/STRING/isnumber.pro	(revision 493)
@@ -14,5 +14,5 @@
 ;
 ; @returns
-;       x = optionaly returned numeric value if valid.  
+;       x = optionally returned numeric value if valid.  
 ;       i = test flag:                                  
 ;           0: not a number.
@@ -46,5 +46,5 @@
 	  print,' i = isnumber(txt, [x])'
 	  print,'   txt = text string to test.                      in'
-	  print,'   x = optionaly returned numeric value if valid.  out'
+	  print,'   x = optionally returned numeric value if valid.  out'
 	  print,'   i = test flag:                                  out'
 	  print,'       0: not a number.'
Index: trunk/SRC/ToBeReviewed/STRING/lenstr.pro
===================================================================
--- trunk/SRC/ToBeReviewed/STRING/lenstr.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/STRING/lenstr.pro	(revision 493)
@@ -1,5 +1,5 @@
 ;+
 ; ROUTINE:         lenstr
-; USEAGE:          result=lenstr(str)
+; USAGE:           result=lenstr(str)
 ;
 ; input:
Index: trunk/SRC/ToBeReviewed/TRIANGULATION/dessinetri.pro
===================================================================
--- trunk/SRC/ToBeReviewed/TRIANGULATION/dessinetri.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/TRIANGULATION/dessinetri.pro	(revision 493)
@@ -12,9 +12,9 @@
 ;
 ; @param X {in}{optional}
-; The x position of points to which the trangulation refer to
+; The x position of points to which the triangulation refer to
 ; (see the x array provided in triangulate)
 ;
 ; @param Y {in}{optional}
-; The y position of points to which the trangulation refer to
+; The y position of points to which the triangulation refer to
 ; (see the y array provided in triangulate)
 ;
@@ -30,5 +30,5 @@
 ; @keyword CHANGECOLOR
 ; =n. To change the color of each triangle. n colors
-; will be used and repeted if necessary.
+; will be used and repeated if necessary.
 ;
 ; @uses
Index: trunk/SRC/ToBeReviewed/TRIANGULATION/tracecote.pro
===================================================================
--- trunk/SRC/ToBeReviewed/TRIANGULATION/tracecote.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/TRIANGULATION/tracecote.pro	(revision 493)
@@ -61,5 +61,5 @@
    if key_gridtype EQ 'e' then onemore = xf[0, 0] gT xf[0, 1]
 ; We pass in normalized coordinates to be able to become independant from the projection's
-; type choosen and from the support on which we do the drawing (screen or postscript)
+; type chosen and from the support on which we do the drawing (screen or postscript)
    z = convert_coord(xf[*],yf[*],/data,/to_normal)
    xf = reform(z[0, *], nx, ny)
Index: trunk/SRC/ToBeReviewed/TRIANGULATION/tracemask.pro
===================================================================
--- trunk/SRC/ToBeReviewed/TRIANGULATION/tracemask.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/TRIANGULATION/tracemask.pro	(revision 493)
@@ -70,5 +70,5 @@
 ; The 2 first lines are identical.
    mask[1:tailleentree[1], 0] = maskentree[*, 0]
-; We calculate the position following x of points which will serve to trace the mask. They are situated between each points of the mask, exept for the last column we can not calculate and so we put at max (!x.range).
+; We calculate the position following x of points which will serve to trace the mask. They are situated between each points of the mask, except for the last column we can not calculate and so we put at max (!x.range).
    xrange = !x.range[sort(!x.range)] ; if REVERSE_X is used
    xentree = .5*(xentree+shift(xentree, -1, 0))
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/buildreadcmd.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/buildreadcmd.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/buildreadcmd.pro	(revision 493)
@@ -97,5 +97,5 @@
 
   if procedure EQ 'pltt' AND date1 EQ date2 then BEGIN
-; we redefine the dates to the begining and end of the calendar
+; we redefine the dates to the beginning and end of the calendar
     calendar = (*(extractatt(top_uvalue, 'fileparameters'))[currentfile]).time_counter
     date1 = jul2date(calendar[0])
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/createhistory.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/createhistory.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/createhistory.pro	(revision 493)
@@ -51,5 +51,5 @@
    optionsflag = extractatt(top_uvalue, 'optionsflag')
    portrait = (optionsflag[where(options EQ 'Portrait/Landscape'), 0])[0]
-; composition du text contennu ds history.pro
+; composition du text contenu dans history.pro
    texte = ['@common' $
             , ' ' $
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/xcreateanim.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/xcreateanim.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/xcreateanim.pro	(revision 493)
@@ -117,5 +117,5 @@
   wdelete, !d.window
 ;
-; Creation and writting loop in the file.
+; Creation and writing loop in the file.
 ;
   IF index2 GT index1 THEN BEGIN
Index: trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_domain.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_domain.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_domain.pro	(revision 493)
@@ -419,5 +419,5 @@
          gdep2 = fix(dthlv2_value.combobox_value)
          if dthlv1_value.combobox_index GT event.index then BEGIN
-; We redfine the value of dthlv1id
+; We redefine the value of dthlv1id
             widget_control, dthlv1id, set_value = {combobox_select:event.index}
 ; So we redefine the value and the min of the slider 1
Index: trunk/SRC/ToBeReviewed/WIDGET/xx.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/xx.pro	(revision 492)
+++ trunk/SRC/ToBeReviewed/WIDGET/xx.pro	(revision 493)
@@ -58,9 +58,9 @@
       listgrid[[3, 5]] = 'V'
    ENDIF
-; calendar to be used (in IDL julian days
+; calendar to be used (in IDL Julian days
 ; ++++    if NOT keyword_set(calendar) then BEGIN
 ; ++++       if keyword_set(jour) then calendar = calendriertotem(/julian_day) ELSE calendar = calendriertotem(/julian_day, /mensuel)
 ; ++++    ENDIF
-; Name of the file refering to the mask
+; Name of the file referring to the mask
    if NOT keyword_set(meshfilename) then meshfilename = '/usr1/com/smasson/IDL/INIT/inittotem.pro'
 ; ++++   meshparameters = whichgrid(meshfilename)